Package org.eclipse.wst.xsl.ui.internal.views.stylesheet

## org.eclipse.wst.xsl.ui.internal.views.stylesheet
Class ListWorkbenchAdapter

    public class ListWorkbenchAdapter
    extends java.lang.Object

## Constructor Summary

`ListWorkbenchAdapter(org.eclipse.wst.xsl.core.model.Stylesheet stylesheet , java.util.List list , java.lang.String label , java.lang.String imgPath)`

## Method Summary

`public java.lang.Object[]` | `getChildren(java.lang.Object o)`
`public ImageDescriptor` | `getImageDescriptor(java.lang.Object object)`
`public java.lang.String` | `getLabel(java.lang.Object o)`
`public java.lang.Object` | `getParent(java.lang.Object o)`

## Constructor Detail

## ListWorkbenchAdapter

`public ListWorkbenchAdapter(org.eclipse.wst.xsl.core.model.Stylesheet stylesheet , java.util.List list , java.lang.String label , java.lang.String imgPath)`

## Methods Detail

## getChildren

`public java.lang.Object[] getChildren(java.lang.Object o)`

### Parameters

`o`

### Returns

`java.lang.Object[]`

## getImageDescriptor

`public ImageDescriptor getImageDescriptor(java.lang.Object object)`

### Parameters

`object`

### Returns

`ImageDescriptor`

## getLabel

`public java.lang.String getLabel(java.lang.Object o)`

### Parameters

`o`

### Returns

`java.lang.String`

## getParent

`public java.lang.Object getParent(java.lang.Object o)`

### Parameters

`o`

### Returns

`java.lang.Object`